Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.configuration
Class ServerConfiguration

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.sshtools.daemon.configuration.ServerConfiguration

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

public class ServerConfiguration
extends org.xml.sax.helpers.DefaultHandler

DOCUMENT ME!

Constructor Summary
`ServerConfiguration(java.io.InputStream in)` Creates a new ServerConfiguration object.

Method Summary
`void` | `characters(char[] ch, int start, int length)` DOCUMENT ME!
`void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qname)` DOCUMENT ME!
`java.util.List` | `getAllowedAuthentications()` DOCUMENT ME!
`boolean` | `getAllowTcpForwarding()` DOCUMENT ME!
`java.lang.String` | `getAuthenticationBanner()` DOCUMENT ME!
`java.lang.String` | `getAuthorizationFile()` DOCUMENT ME!
`int` | `getCommandPort()` DOCUMENT ME!
`java.lang.String` | `getListenAddress()` DOCUMENT ME!
`int` | `getMaxAuthentications()` DOCUMENT ME!
`int` | `getMaxConnections()` DOCUMENT ME!
`int` | `getPort()` DOCUMENT ME!
`java.util.List` | `getRequiredAuthentications()` DOCUMENT ME!
`java.util.Map` | `getServerHostKeys()`
`java.util.Map` | `getSubsystems()` DOCUMENT ME!
`java.lang.String` | `getTerminalProvider()` DOCUMENT ME!
`java.lang.String` | `getUserConfigDirectory()` DOCUMENT ME!
`void` | `reload(java.io.InputStream in)` DOCUMENT ME!
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qname, org.xml.sax.Attributes attrs)` DOCUMENT ME!
`java.lang.String` | `toString()` DOCUMENT ME!

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerConfiguration

    public ServerConfiguration(java.io.InputStream in)
                        throws org.xml.sax.SAXException,
                               javax.xml.parsers.ParserConfigurationException,
                               java.io.IOException

  Creates a new ServerConfiguration object.

Parameters:
  `in` - DOCUMENT ME!
Throws:
  `org.xml.sax.SAXException` - DOCUMENT ME!
  `javax.xml.parsers.ParserConfigurationException` - DOCUMENT ME!
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### reload

    public void reload(java.io.InputStream in)
                throws org.xml.sax.SAXException,
                       javax.xml.parsers.ParserConfigurationException,
                       java.io.IOException

  DOCUMENT ME!

  Parameters:
    `in` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!
    `javax.xml.parsers.ParserConfigurationException` - DOCUMENT ME!
    `java.io.IOException` - DOCUMENT ME!

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qname,
                             org.xml.sax.Attributes attrs)
                      throws org.xml.sax.SAXException

  DOCUMENT ME!

  Parameters:
    `uri` - DOCUMENT ME!
    `localName` - DOCUMENT ME!
    `qname` - DOCUMENT ME!
    `attrs` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws org.xml.sax.SAXException

  DOCUMENT ME!

  Parameters:
    `ch` - DOCUMENT ME!
    `start` - DOCUMENT ME!
    `length` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qname)
                    throws org.xml.sax.SAXException

  DOCUMENT ME!

  Parameters:
    `uri` - DOCUMENT ME!
    `localName` - DOCUMENT ME!
    `qname` - DOCUMENT ME!
  Throws:
    `org.xml.sax.SAXException` - DOCUMENT ME!

### getRequiredAuthentications

    public java.util.List getRequiredAuthentications()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAllowedAuthentications

    public java.util.List getAllowedAuthentications()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAllowTcpForwarding

    public boolean getAllowTcpForwarding()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAuthenticationBanner

    public java.lang.String getAuthenticationBanner()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getCommandPort

    public int getCommandPort()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getUserConfigDirectory

    public java.lang.String getUserConfigDirectory()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getAuthorizationFile

    public java.lang.String getAuthorizationFile()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getListenAddress

    public java.lang.String getListenAddress()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMaxConnections

    public int getMaxConnections()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getMaxAuthentications

    public int getMaxAuthentications()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPort

    public int getPort()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getServerHostKeys

    public java.util.Map getServerHostKeys()

### getSubsystems

    public java.util.Map getSubsystems()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getTerminalProvider

    public java.lang.String getTerminalProvider()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### toString

    public java.lang.String toString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD